package com.lcry.springcloud.controller;

import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.UUID;

/**
 * PaymentController
 *
 * @author lcry
 * @date 2020/03/14 16:11
 */
@RestController
@Slf4j
public class PaymentController {
    @Value("${server.port}")
    private String serverPort;

    /*
    测试注册服务到consul
     */
    @RequestMapping(value = "/payment/consul")
    public String paymentconsul() {
        return "SpringCloud with consul:" + serverPort + "\t" +
                UUID.randomUUID().toString();
    }
}
