package com.lcry.springcloudalibaba.controller;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * NacosClientController
 *
 * @author lcry
 * @date 2020/03/16 17:56
 */
@RestController
@RefreshScope //支持Nacos的动态刷新功能。
public class NacosClientController {
    @Value("${config.info}")  //通过nacos配置中心获取文件
    private String configInfo;

    @GetMapping("/config/info")
    public String getConfigInfo() {
        return configInfo;
    }
}