package com.lcry.springcloudalibaba;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;

/**
 * StorageServerMain12002
 *
 * @author lcry
 * @date 2020/03/18 15:41
 */
@SpringBootApplication(exclude = DataSourceAutoConfiguration.class)
@EnableDiscoveryClient
@EnableFeignClients
public class StorageServerMain12002 {
    public static void main(String[] args) {
        SpringApplication.run(StorageServerMain12002.class, args);
    }
}
